[Mailman-Users] [Mailman-Developers] OS X & Mailman & Python

Larry Stone lstone19 at stonejongleux.com
Fri Sep 29 02:45:26 CEST 2006

On 9/28/06 1:13 PM, Stubbs Jeff at jstubbs456 at gmail.com wrote:

> Barry - thanks for the advice
> I just wanted to report that Tiger (10.4.7 : ppc), Python 2.5 (from
> the OS X installer), and Mailman 2.1.9 works perfectly. Install went
> without a hitch.
> Stumbled a little, setting up virtual domains, but, I've been down
> that road before, so I knew what to fix.

This all made me curious. I'm just a user of Mailman on Mac OS X - no
development of any sort by me - so I'm good with 2.1.9 and Python 2.3.5 on
10.4.7 - but this topic made me look at the Python 2.5 package at
python.org. I finally figured out that the MacOS X python installer installs
a new version in /usr/local/bin (as well as other places) separate from the
Tiger provided version in /usr/bin. But how would you get mailman to use the
user installed version? mailmanctl has #! /usr/bin/python at the top which
will send it to the Tiger provided version. Of course you could modify
mailmanctl but that would be subject to being overwritten when a new version
of mailman is installed. Or is that the way it would need to be done?

For me, it's all academic at least until mailman 2.2 comes along. Maybe
Leopard will come with a later version of python. But I am curious and this
sort of exercise does help me understand how the various pieces fit

Larry Stone
lstone19 at stonejongleux.com

More information about the Mailman-Users mailing list